## org.eclipse.emf.cdo.util
Class ObjectNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.emf.cdo.common.util.CDOException
                      org.eclipse.emf.cdo.util.ObjectNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class ObjectNotFoundException

extends CDOException

Exception occurs when an id doesn't exist on the server.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`ObjectNotFoundException(CDOID id)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectNotFoundException

    public ObjectNotFoundException(CDOID id)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.